body {
  background: #f9fafd;
  font-family: Roboto, sans-serif;
  margin: 0;
  padding: 0;
  max-height: 100vh;
}

.header-container {
  text-align: center;
  padding: 10px;
}

.layout-container {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 95vh;
}

.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ffbe0b;
  transition: 0.4s;
}

.slider:before {
  font-family: FontAwesome;
  position: absolute;
  content: "\f185";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: 0.4s;
  transition: 0.4s;
  display: flex;
  align-items: center;
  justify-content: center;
}

input:checked + .slider:before {
  content: "\f186";
}

input:checked + .slider {
  background-color: #000000;
}
.background {
  z-index: -1;
  transition: 0.3s;
}

input:checked + .slider:before {
  transform: translateX(26px);
}

.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

/* _________ */

.container {
  max-width: 1440px;
  margin: 0 auto;
  padding: 20px;
  height: 100%;
}

.card-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
}

.card {
  flex-basis: 23%;
  background-color: #ffffff;
  border: 1px solid #dddddd;
  border-radius: 16px;
  margin-bottom: 20px;
  box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px,
    rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
  transition: all 0.3s ease-in-out;
}

.card:hover {
  transform: scale(1.025);
}

.img-holder {
  width: 100%;
  min-height: 300px;
}

.card-image {
  width: 100%;
  max-height: 350px;
  height: 350px;
  margin-bottom: 10px;
  border-top-left-radius: 16px;
  border-top-right-radius: 16px;
}

.card-content {
  display: flex;
  flex-direction: column;
  padding: 10px;
  height: 200px;
}

.card-header {
  display: flex;
  align-items: center;
  margin-bottom: 5px;
}

.profile-image {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  margin-right: 10px;
}

.profile-info {
  display: flex;
  flex-direction: column;
}

.name {
  margin: 0;
  font-size: 16px;
  font-weight: bold;
}

.date {
  font-size: 12px;
  color: #999999;
}

.caption {
  margin-bottom: 10px;
  overflow-y: scroll;
}

.caption::-webkit-scrollbar {
  display: none;
}

.caption {
  -ms-overflow-style: none;
  scrollbar-width: none;
}

.card-footer {
  display: flex;
  align-items: center;
}

.likes-count {
  margin-right: 10px;
}

.like-button {
  padding: 2px 6px;
  background-color: rgba(217, 215, 215, 0.466);
  border: none;
  border-radius: 2px;
  cursor: pointer;
  border: 1px ridge rgba(195, 192, 192, 0.307);
  box-shadow: rgba(50, 50, 100, 0.1) 1px 3px 6px -2px,
    rgba(0, 0, 0, 0.1) 2px 2px 2px -5px;
}

.like-button:hover {
  background-color: #dddddd;
}

.full-screen {
  overflow: hidden;
  width: 100%;
  height: 100%;
  background: hsla(0, 0%, 0%, 0.96);
  z-index: 1;
  position: fixed;
  top: 0;
  left: 0;
}

.header-modal {
  width: 100%;
  min-height: 10vh;
  border-bottom: 2px solid gray;
  display: flex;
  align-items: center;
  justify-content: end;
  padding: 16px;
  box-sizing: border-box;
}

.header-modal button {
  width: 45px;
  height: 45px;
  border-radius: 50%;
  background-color: #3c3c3c;
  color: white;
  border: ridge;
  box-shadow: rgba(50, 50, 100, 0.5) 5px 10px 20px -10px,
    rgba(0, 0, 0, 0.5) 8px 8px 8px -5px;
}

.body-modal {
  width: 100%;
  height: calc(100vh - 79px);
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  box-sizing: border-box;
}

.image-modal {
  padding: 30px;
  box-sizing: border-box;
  max-width: 100%;
  max-height: 100%;
  height: 700px;
  width: 800px;
}

.image-modal img {
  max-width: 100%;
  max-height: 100%;
}

.load-more {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 16px 32px;
}

.load-more button {
  padding: 8px 16px;
  background-color: rgb(60, 60, 60, 0.5);
  font-weight: 700;
  color: #dddddd;
  border-radius: 10px;
  border: 4px ridge;
  box-shadow: rgba(50, 50, 100, 0.5) 5px 10px 20px -10px,
    rgba(0, 0, 0, 0.5) 8px 8px 8px -5px;
}

@media screen and (max-width: 1200px) {
  .card {
    flex-basis: 38%;
  }
}
@media screen and (max-width: 1024px) {
  .card {
    flex-basis: 42%;
  }
}

@media screen and (max-width: 768px) {
  .card {
    flex-basis: 45%;
  }
}

@media screen and (max-width: 480px) {
  .card {
    flex-basis: 90%;
  }
}
